Subject: bug#13112: 24.2.90; The cygw32 build should disable X11

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Dec 2012 23:23:16 +0200

> From: Achim Gratz <[email-masked]>
> Date: Fri, 07 Dec 2012 20:18:12 +0100
> 
> Glenn Morris writes:
> > Maybe you could summarize what the actual problem is, then.
> 
> The problem, as far as I have been able to determine, is that my init
> file set a default font that does only exist in X11 but not Windows, so
> it was illegal for the cygw32 build, but somehow that managed to sneak
> past Emacs' guards and apparently activated X11 code paths that should
> not have been in there to begin with.  This then made Emacs hang
> whenever it should display UI dialogs (like the file chooser).

Are you saying that xterm.c, xfns.c, and xmenu.c are compiled into a
cygw32 Emacs?  They shouldn't, AFAIU.